#!/bin/bash -norc
set -x

MOUNTPREFIX=/n/test
BRANCH0=${MOUNTPREFIX}/b0
BRANCH1=${MOUNTPREFIX}/b1
BRANCH2=${MOUNTPREFIX}/b2
BRANCH3=${MOUNTPREFIX}/b3

mkdir -p ${BRANCH0} ${BRANCH1} ${BRANCH2} ${BRANCH3} ${MOUNTPREFIX}/testfs

mount -o size=100M -t ramfs none ${BRANCH0}
mount -o size=100M -t ramfs none ${BRANCH1}
mount -o size=100M -t ramfs none ${BRANCH2}
mount -o size=100M -t ramfs none ${BRANCH3}

/sbin/insmod raif.ko || exit $?
mount -t raif -o debug=20,dirs=${BRANCH0}:${BRANCH1}:${BRANCH2}:${BRANCH3} none ${MOUNTPREFIX}/testfs || exit $?

exit 0

